#!/bin/bash

xmllint -noout -schema services.xsd services.xml
if test $? -gt 0 ; then
    echo ""
    echo "ERREUR de validation XML"
    exit 1
fi

xmllint -xpath "//*[local-name()='depends'][@on=/*/*/*[local-name(*)='instance']/@name]" services.xml
if test $? = 0 ; then
    echo ""
    echo ""
    echo "ERREUR: dependence sur une famille de services (au lieu de son instance)"
    exit 1
fi

xsltproc --stringparam date "`stat -f %Sm services.xml`" -o services.html services.xsl services.xml
